
-- Horizont pro EdgeTX kresleny pro rx SR (X,Y)

local picture = Bitmap.open("/WIDGETS/HzontSRkr/img/mask623.png")
local podklad = Bitmap.open("/WIDGETS/HzontSRkr/img/podl62.png")

local Sx=42
local Sy=41  

-- 1=YELLOW, 2=WHITE, 3=RED, 4=GREEN, 5=BLUE, 6=BLACK
local barva = {YELLOW, WHITE, RED, GREEN, BLUE, BLACK}

local options = {
  {"kalX", VALUE, 0, -15, 15},  -- nastavení nuly 
  {"kalY", VALUE, 0, -15, 15},
  {"barvaTxt", VALUE, 2, 1, 6},
  {"invK", BOOL, 0},            -- opačný sklon
  {"invV", BOOL, 0}
 }

-----------------------------------------------------
local function create(zone, options)
 local wgt = {zone = zone, options = options}
return wgt
end
-------------------------------------------------------
local function update(wgt, options)
  if (wgt == nil) then
    return
  end
 wgt.options = options
end
---------------------------------------------
local function background(wgt)
  return
end
--------------------------------------------------------
function round(num, decimals)
  local mult = 10^(decimals or 0)
  return math.floor(num * mult + 0.5) / mult
end
--------------------------------------------------------
--------------------------------------------------------
function refresh(wgt)

if (wgt == nil) then
  return
end
if (wgt.options == nil) then
  return
end
if wgt.zone.h < 82 then 
  lcd.drawText(wgt.zone.x+2,wgt.zone.y+5,"Vyjmout!")
  return
end

local vys = 0
local kri = 0
local Xo = Sx-31   
local Yo = Sy-8    
-------------------------------------------
kri = getValue("AccY")    --"AccX"
kri = (kri*45) + wgt.options.kalX 
if wgt.options.invK==1 then kri = 0 - kri end
     
vys = getValue("AccX")     --"AccY"
vys = (vys*45) + wgt.options.kalY
if wgt.options.invV==1 then vys = 0 - vys end

kri=math.floor(kri)
vys=math.floor(vys)

--------------------------------------
if vys>15 then vys=15 end
if vys<-15 then vys=-15 end
-------------------------------------
local minus=0
if kri<0 then minus=1 end

if kri>15 then kri=15 end
if kri<-15 then kri=-15 end

lcd.drawBitmap(podklad,Sx-34,Sy-33)
-------------------------------------------    
--minus=0
--kri=0
--vys=0

local pkri=math.abs(kri)
local Hy=Sy-pkri-vys   --39  42-24=18
local Hkri=2*pkri      --0   24
local Dy=Hy+Hkri      --39   18+24=42
--local Hobr=Sy+Yo-Dy   --32

-------------------------------------------
if minus==0 then
  lcd.drawFilledTriangle(9, Dy, 74, Dy, 74, Hy , YELLOW)
else
 lcd.drawFilledTriangle(9, Dy, 74, Dy, 9, Hy , YELLOW)
end
lcd.drawFilledRectangle(9, Dy, 66, 75-Dy, YELLOW)
----------------------------------------------------

  lcd.drawBitmap(picture,Sx-39,Sy-37)       
--------------------------------------------------
-- tisky hodnot
 lcd.setColor(CUSTOM_COLOR, barva[wgt.options.barvaTxt]) -- sel_b) -- YELLOW)
local vyska = getValue("Alt")
--vyska = 88
 lcd.setColor(CUSTOM_COLOR, barva[wgt.options.barvaTxt]) -- sel_b) -- YELLOW)
  if vyska<100 then 
    lcd.drawText(Sx+60, Sy-37, "Alt:   "..round(vyska).." m", CUSTOM_COLOR + SHADOWED) 
  else
    lcd.drawText(Sx+60, Sy-37, "Alt:  "..round(vyska).." m", CUSTOM_COLOR + SHADOWED)
  end

local rssi = getValue("RSSI")
local vfr =  getValue("VFR")
--local pr = getValue("Curr")
local nap = getValue("VFAS")

lcd.drawText(Sx+60, Sy-18, "Bat: "..round(nap,1).." V", CUSTOM_COLOR + SHADOWED)  -- + SHADOWED) 
lcd.drawText(Sx+60, Sy+1, "RSSI:  "..round(rssi), CUSTOM_COLOR + SHADOWED)
lcd.drawText(Sx+60, Sy+20, "VFR: "..round(vfr), CUSTOM_COLOR + SHADOWED)     
--------------------------------------------------------

lcd.setColor(LINE_COLOR, GREY)
return
end

return {
  name = "HzontSRkr",
  options = options,
  create = create,
  update = update,
  background = background,
  refresh = refresh
}